Package org.eclipse.emf.cdo.ui.widgets

# Class SelectTimeStampComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.cdo.ui.widgets.SelectTimeStampComposite

All Implemented Interfaces:
  `org.eclipse.net4j.util.ui.ValidationParticipant`, `Drawable`

public class SelectTimeStampComposite extends Composite implements org.eclipse.net4j.util.ui.ValidationParticipant
UI widget allowing users to indicate `timestamp` of a particular historical state of a `branch`

Since:
  4.0
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

## Constructor Summary

Constructors
Constructor
Description
`SelectTimeStampComposite(Composite parent, int style)`
`SelectTimeStampComposite(Composite parent, int style, CDOBranch branch, long timeStamp)`

## Method Summary

Modifier and Type
Method
Description
`Button`
`getBaseRadio()`
`Text`
`getBaseText()`
`CDOBranch`
`getBranch()`
`Button`
`getHeadRadio()`
`Button`
`getTimeBrowseButton()`
`Button`
`getTimeRadio()`
`long`
`getTimeStamp()`
`Text`
`getTimeText()`
`org.eclipse.net4j.util.ui.ValidationContext`
`getValidationContext()`
`void`
`setBranch(CDOBranch branch)`
`void`
`setTimeStamp(long timeStamp)`
`void`
`setValidationContext(org.eclipse.net4j.util.ui.ValidationContext validationContext)`
`protected void`
`timeStampChanged(long timeStamp)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### SelectTimeStampComposite

public SelectTimeStampComposite(Composite parent, int style)

Since:
  4.4

### SelectTimeStampComposite

public SelectTimeStampComposite(Composite parent, int style, CDOBranch branch, long timeStamp)

## Method Details

### getValidationContext

public org.eclipse.net4j.util.ui.ValidationContext getValidationContext()

Specified by:
  `getValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

### setValidationContext

public void setValidationContext(org.eclipse.net4j.util.ui.ValidationContext validationContext)

Specified by:
  `setValidationContext` in interface `org.eclipse.net4j.util.ui.ValidationParticipant`

### getBranch

public CDOBranch getBranch()

### setBranch

public void setBranch(CDOBranch branch)

### getTimeStamp

public long getTimeStamp()

### setTimeStamp

public void setTimeStamp(long timeStamp)

### timeStampChanged

protected void timeStampChanged(long timeStamp)

### getHeadRadio

public Button getHeadRadio()

### getBaseRadio

public Button getBaseRadio()

### getBaseText

public Text getBaseText()

### getTimeRadio

public Button getTimeRadio()

### getTimeText

public Text getTimeText()

### getTimeBrowseButton

public Button getTimeBrowseButton()